body
{
    margin: 0;
    padding: 0;
    background: #0f0044;
    font-family: sans-serif;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) perspective(500px) rotateY(-15deg);
    width: 200px;
    height: 50px;
    text-align: center;
    text-shadow: 6px 3px 2px rgba(0, 0, 0, .2);
    line-height: 50px;
    font-size: 20px;
    background:linear-gradient(90deg,#3603ff,#a41ee9);
    color: #fff !important;
    text-decoration: none !important;
    border-radius: 25px;
    letter-spacing: 1px;
    transition: .5s;
    overflow: hidden;
    box-shadow: 0 0 0 5px rgba(0, 0, 0, .2);
}
a:hover{
    transform: translate(-50%,-50%) perspective(500px);
    text-shadow: -6px 3px 2px rgba(0, 0, 0, .2);

}
a:before
{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg,transparent,#fff,transparent);
    transition: .5s;
}
a:hover:before{
    left: 100%;
}